### Function

# Gimp palette_entry_set_name

since: 2.2

#### Declaration [src]

    gboolean
    gimp_palette_entry_set_name (
      const gchar* name,
      gint entry_num,
      const gchar* entry_name
    )

#### Description [src]

Sets the specified palette entry in the specified palette.

This procedure sets the name of the zero-based entry specified for the specified palette. It returns an error if the entry does not exist.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The palette name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`entry_num`

  Type: `gint`

  The entry to retrieve.

`entry_name`

  Type: `const gchar*`

  The new name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.